Results 1 to 2 of 2

Thread: LEAP 42.1: can't host GTK 2.x applications over SSH any more

  1. #1

    Default LEAP 42.1: can't host GTK 2.x applications over SSH any more

    Hi. Last night I noticed that I can no longer run GTK 2.x apps over an SSH connection when SSH'd from my RHEL 6.8 laptop into either of my LEAP 42.1 machines. There's an immediate crash in gdk_open_display(). This seems to happen with every app linked against libgtk-x11-2.0. Apps like gvim, dia, gimp all crash immediately. GTK 3.x apps seem fine. This used to work though I admit that it's been a while since I've tried to run gvim remotely like this so I don't know when it stopped working.

    Going the opposite direction (eg. running GTK 2.x apps on my RHEL laptop and forwarding their X11 connections over SSH to my LEAP machines) works fine. Similarly, SSHing from one of the LEAP machines into the other and running the apps works fine. It's only when the app windows are being exported to the RHEL laptop that the crashes occur.

    Checking my zypper logs, I don't see any GTK 2.x package updates since September. In any event, I've tried downgrading my GTK 2.x libs to the oldest versions still available on the LEAP repos but the crashes persist.

    Has anybody seen this behavior or know of a workaround? (Or know of a version of gvim that's linked against GTK 3.x?)

  2. #2
    Join Date
    Nov 2016
    Location
    Prague, CZ
    Posts
    39

    Default Re: LEAP 42.1: can't host GTK 2.x applications over SSH any more

    Hi, I've seen something like this also. Can you copy and paste the actual error your seeing in the CLI?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •